## ros-rolling-rmf-traffic-editor-test-maps 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_traffic_editor_test_maps)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
  maps/
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

file(GLOB_RECURSE traffic_editor_paths "maps/*.building.yaml")

foreach(path ${traffic_editor_paths})

  # Get the output world name
  string(REGEX REPLACE "\\.[^.]*\.[^.]*$" "" no_extension_path ${path})
  string(REGEX MATCH "[^\/]+$" world_name  ${no_extension_path})

  set(map_path ${path})
  set(output_world_name ${world_name})
  set(output_dir ${CMAKE_CURRENT_BINARY_DIR}/maps/${output_world_name})
  set(output_world_path ${output_dir}/${output_world_name}.world)
  set(output_model_dir ${output_dir}/models)

  # first, generate the world
  message("BUILDING WORLDFILE WITH COMMAND: ros2 run rmf_building_map_tools building_map_generator gazebo ${map_path} ${output_world_path} ${output_model_dir}")
  if (NO_DOWNLOAD_MODELS)
    add_custom_command(
      DEPENDS ${map_path}
      COMMAND ros2 run rmf_building_map_tools building_map_generator gazebo ${map_path} ${output_world_path} ${output_model_dir}
      OUTPUT ${output_world_path}
    )
  else()
    message("DOWNLOADING MODELS WITH COMMAND: ros2 run rmf_building_map_tools building_map_model_downloader ${map_path}")
    add_custom_command(
      DEPENDS ${map_path}
      COMMAND ros2 run rmf_building_map_tools building_map_generator gazebo ${map_path} ${output_world_path} ${output_model_dir}
      COMMAND ros2 run rmf_building_map_tools building_map_model_downloader ${map_path}
      OUTPUT ${output_world_path}
    )
  endif()

  add_custom_target(generate_${output_world_name} ALL
    DEPENDS ${output_world_path}
  )

  install(
    DIRECTORY ${output_dir}
    DESTINATION share/${PROJECT_NAME}/maps
  )

endforeach()

=== debian/changelog ===
ros-rolling-rmf-traffic-editor-test-maps (1.4.0-1focal) focal; urgency=high

  * adding maintainer for buildfarm notifications (#368 <https://github.com/open-rmf/rmf_traffic_editor/issues/368>)
  * Contributors: Marco A. Gutiérrez

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 02 Sep 2021 00:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.3.0-1focal) focal; urgency=high

  * rename building_map_tools (#310 <https://github.com/open-rmf/rmf_traffic_editor/issues/310>)
  * Rename packages and delete moved packages (#308 <https://github.com/open-rmf/rmf_traffic_editor/issues/308>)
  * Contributors: Geoffrey Biggs, youliang

 -- Morgan Quigley <morgan@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.2.0-1focal) focal; urgency=high

  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/issues/235>)
  * Contributors: Geoffrey Biggs, Marco A. Gutiérre

 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.1.0-1focal) focal; urgency=high

  * Move message call outside of custom command cal #184 <https://github.com/osrf/traffic_editor/issues/184>
  * Fix/separate model download #183 <https://github.com/osrf/traffic_editor/issues/183>
  * Using custom commands within if condition due to required OUTPUT or TARGET cmake variable
  * Invoking model downloading with a separate custom command
  * Fixing build dependency (#172 <https://github.com/osrf/traffic_editor/issues/172>)
  * Contributors: Aaron Chong, Luca Della Vedova, Marco A. Gutiérrez

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 24 Sep 2020 00:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.0.0-1focal) focal; urgency=high

  * merging master
  * Merge pull request #132 <https://github.com/osrf/traffic_editor/issues/132> from methylDragon/ch3/author-namespaced-thumbnails
    Support Author-namedspaced Thumbnails and Revamp building_map_generator
  * Fix build and import bug
  * Merge pull request #100 <https://github.com/osrf/traffic_editor/issues/100> from osrf/double_swing_doors_directions
    branch on double swing door direction for sim generation
  * branch on double swing door direction for sim generation
  * Contributors: Aaron Chong, Morgan Quigley, methylDragon

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 22 Jun 2020 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmf-traffic-editor-test-maps//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmf-traffic-editor-test-maps 1.8.1

=== debian/changelog ===
ros-rolling-rmf-traffic-editor-test-maps (1.8.1-1jammy) jammy; urgency=high

  * Fix gz classic model download (#470 <https://github.com/open-rmf/rmf_traffic_editor/pull/470>)
  * Contributors: Aaron Chong

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.8.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.7.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#464 <https://github.com/open-rmf/rmf_traffic_editor/pull/464>)
  * Fix test map generation with new commands (#456 <https://github.com/open-rmf/rmf_traffic_editor/pull/456>)
  * Contributors: Aaron Chong, Yadunund

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.6.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 04 Oct 2022 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.5.1-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Tue, 19 Apr 2022 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.5.0-1jammy) jammy; urgency=high



 -- Morgan Quigley <morgan@openrobotics.org>  Sat, 12 Mar 2022 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.4.0-1jammy) jammy; urgency=high

  * adding maintainer for buildfarm notifications (#368 <https://github.com/open-rmf/rmf_traffic_editor/pull/368>)
  * Contributors: Marco A. Gutiérrez

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 01 Sep 2021 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.3.0-1jammy) jammy; urgency=high

  * rename building_map_tools (#310 <https://github.com/open-rmf/rmf_traffic_editor/pull/310>)
  * Rename packages and delete moved packages (#308 <https://github.com/open-rmf/rmf_traffic_editor/pull/308>)
  * Contributors: Geoffrey Biggs, youliang

 -- Morgan Quigley <morgan@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.2.0-1jammy) jammy; urgency=high

  * Add first pass of quality declarations for all packages (#235 <https://github.com/osrf/traffic_editor/pull/235>)
  * Contributors: Geoffrey Biggs, Marco A. Gutiérre

 -- Morgan Quigley <morgan@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.1.0-1jammy) jammy; urgency=high

  * Move message call outside of custom command cal #184 <https://github.com/osrf/traffic_editor/pull/184>
  * Fix/separate model download #183 <https://github.com/osrf/traffic_editor/pull/183>
  * Using custom commands within if condition due to required OUTPUT or TARGET cmake variable
  * Invoking model downloading with a separate custom command
  * Fixing build dependency (#172 <https://github.com/osrf/traffic_editor/pull/172>)
  * Contributors: Aaron Chong, Luca Della Vedova, Marco A. Gutiérrez

 -- Morgan Quigley <morgan@openrobotics.org>  Wed, 23 Sep 2020 16:00:00 -0000

ros-rolling-rmf-traffic-editor-test-maps (1.0.0-1jammy) jammy; urgency=high

  * merging master
  * Merge pull request #132 <https://github.com/osrf/traffic_editor/pull/132> from methylDragon/ch3/author-namespaced-thumbnails
    Support Author-namedspaced Thumbnails and Revamp building_map_generator
  * Fix build and import bug
  * Merge pull request #100 <https://github.com/osrf/traffic_editor/pull/100> from osrf/double_swing_doors_directions
    branch on double swing door direction for sim generation
  * branch on double swing door direction for sim generation
  * Contributors: Aaron Chong, Morgan Quigley, methylDragon

 -- Morgan Quigley <morgan@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

=== debian/control ===
Source: ros-rolling-rmf-traffic-editor-test-maps
Section: misc
Priority: optional
Maintainer: Morgan Quigley <morgan@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-rmf-building-map-tools, ros-rolling-ros2run, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-traffic-editor-test-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Some test maps for traffic_editor and rmf_building_map_tools.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
